List items (item entities for game-narrative)
curl --request GET \
--url https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/itemsimport requests
url = "https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/items"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entities": [
{
"created_at": "2026-03-24T10:01:00Z",
"external_id": "blacksmith-gideon",
"id": "ent_xyz789",
"name": "Gideon the Blacksmith",
"project_id": "a1b2c3d4-1111-2222-3333-444444444444",
"properties": {
"role": "merchant"
},
"type": "npc",
"updated_at": "2026-03-24T10:01:00Z"
}
],
"total": 123,
"has_more": false
}{
"error": "Unauthorized",
"code": "unauthorized",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "No valid API key was supplied.",
"doc_url": "https://docs.kitefrost.ai/errors/unauthorized"
}{
"error": "Forbidden",
"code": "forbidden",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "Your API key does not have the required scope.",
"doc_url": "https://docs.kitefrost.ai/errors/forbidden"
}{
"error": "Not found",
"code": "not_found",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "The requested resource does not exist.",
"doc_url": "https://docs.kitefrost.ai/errors/not_found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": "Rate limit exceeded",
"code": "rate_limited",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "You have exceeded the rate limit for your plan.",
"doc_url": "https://docs.kitefrost.ai/errors/rate_limited"
}{
"error": "Internal server error",
"code": "internal_error",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "An unexpected error occurred.",
"doc_url": "https://docs.kitefrost.ai/errors/internal_error"
}pack-entities
List items (item entities for game-narrative)
List entities of canonical type ‘item’ in the project. Filters / sort / pagination match the generic /entities endpoint.
GET
/
v1
/
projects
/
{project_id}
/
game-narrative
/
items
List items (item entities for game-narrative)
Path Parameters
Query Parameters
JSON object for JSONB property matching. Supports operators: $eq, $ne, $gt, $gte, $lt, $lte, $in, $contains.
Sort by column or property path.
Required range:
1 <= x <= 500Required range:
x >= 0